KONEPLUSCONTROL(1)

NAME
konepluscontrol - Ein Hilfsprogramm um die erweiterten Funktionen der Roccat Kone[+] zu nutzen.

SYNTAX
konepluscontrol [ -fhpv ] [ -a ] [ -l NUMMER ] [ -r DATEINAME ] [ -s NUMMER ] [ -w DATEINAME ] [ --activate-profile=NUMMER ] [ --actual-profile ] [ --help ] [ --load=NUMMER ] [ --path ] [ --read-firmware ] [ --read-rmp=DATEINAME ] [ --reset ] [ --save=NUMMER ] [ --sensor-read ] [ --sensor-register=NUMMER ] [ --sensor-write=WERT ] [ --version ] [ --write-rmp=DATEINAME ]

BESCHREIBUNG
Diese Konsolenanwendung ermöglicht es die erweiterten Funktionen der Roccat Kone[+] zu nutzen.

OPTIONEN

-h, --help
    Zeige die Hilfeliste.

-a, --activate-profile=NUMMER
    Aktiviert das angegebene Profil. Das aktive Profil ist permanent, d.h. ist zugleich das Startup-Profil der Kone[+].

--actual-profile
    Gibt die Nummer des aktiven Profils aus.

-f, --read-firmware
    Gibt die Firmwareversion der Kone[+] aus.

-l, --load=NUMMER
    Lädt das Profil aus der Maus, sowie das dazugehörige hinterlegte Profil. Sollten diese sich unterscheiden wird eine Warnung ausgegeben und das Mausprofil weiterverwendet.

-p, --path
    Liefert den sysfs-Pfad zurück.

-r, --read-rmp=DATEINAME
    Lies eine rmp-Datei in den Speicher.

--reset
    Setzt das Gerät auf Standardeinstellungen zurück.

-s, --save=NUMMER
    Speichert das Profil aus dem Speicher in der Maus und im hinterlegten Profil.

--sensor-read
    Liest den Wert des mit --sensor-register angegeben Sensor Registers.

--sensor-register
    Selektiert das Sensor Register zum lesen und schreiben.

--sensor-write=WERT
    Schreibt den gegebenen Wert in das mit --sensor-register angegebene Sensor Register.

-v, --version
    Zeige die Programmversion.

-w, --write-rmp=DATEINAME
    Schreibe das im Speicher enthaltene Profil als rmp-Datei.

BEISPIELE

konepluscontrol -r profile.rmp -s 1
    Liest das Profil aus der Datei profile.rmp und speichert das Ergebnis als Profil Nummer 1 in der Maus, sowie im hinterlegten Profil.

konepluscontrol --sensor-register 0x2a --sensor-read
    Liest die SROM_ID aus dem Sensor.

AUTOR
Stefan Achatz <erazor_de@users.sourceforge.net>